package com.broodsoft.grandeur.activity;

import javafx.stage.Stage;

import com.broodsoft.id.Id;
import com.google.common.eventbus.EventBus;

public interface Activity {
	Id getId();
	Stage getStage();
	String getTitle();
	EventBus getActivityEventBus();

	void create();
	void destroy();
	
	void show();
	void hide();
}
