package com.broodsoft.grandeur.activity.naming;

import java.net.URL;

import com.google.common.collect.ImmutableList;

public class DefaultCssFileNamingStrategy extends ActivityResourceNamingStrategy<ImmutableList<String>>
implements CssFileNamingStrategy {
	public DefaultCssFileNamingStrategy() {
		super("View", "css");
	}

	@Override
	public ImmutableList<String> getResource(Class<?> type) {
		final URL location = getLocation(type);
		return ImmutableList.of(location.toExternalForm());
	}
}
