package com.broodsoft.grandeur.intent;

import com.broodsoft.grandeur.navigation.Navigator;

public class NavigationIntent<N extends Navigator> {
	private final Class<N> navigatorType;

	public NavigationIntent(Class<N> navigatorType) {
		this.navigatorType = navigatorType;
	}

	public Class<N> getNavigatorType() {
		return navigatorType;
	}

	public static <T extends Navigator> NavigationIntent<T> create(Class<T> navigatorType) {
		return new NavigationIntent<T>(navigatorType);
	}
}
