package com.broodsoft.guice;

import com.broodsoft.grandeur.activity.naming.CssFileNamingStrategy;
import com.broodsoft.grandeur.activity.naming.DefaultCssFileNamingStrategy;
import com.broodsoft.grandeur.activity.naming.DefaultFxmlFileNamingStrategy;
import com.broodsoft.grandeur.activity.naming.PropertiesFileNamingStrategy;
import com.broodsoft.grandeur.activity.naming.FxmlFileNamingStrategy;
import com.broodsoft.grandeur.activity.naming.ResourceBundleFileNamingStrategy;
import com.google.inject.AbstractModule;

public class DefaultNamingModule extends AbstractModule {
	@Override
	protected void configure() {
		bind(FxmlFileNamingStrategy.class).toInstance(new DefaultFxmlFileNamingStrategy());
		bind(ResourceBundleFileNamingStrategy.class).toInstance(new PropertiesFileNamingStrategy());
		bind(CssFileNamingStrategy.class).toInstance(new DefaultCssFileNamingStrategy());
	}
}
