package com.broodsoft.grandeur.activity;

import javafx.event.EventHandler;
import javafx.stage.WindowEvent;

public class DefaultWindowCloseRequestHandler implements EventHandler<WindowEvent> {
	protected final Activity activity;

	public DefaultWindowCloseRequestHandler(Activity activity) {
		this.activity = activity;
	}

	public void handle(WindowEvent event) {
		activity.getStage().removeEventHandler(WindowEvent.WINDOW_CLOSE_REQUEST, this);
		activity.destroy();
	}
}
