package com.broodsoft.guice;

public class SimpleMutableProvider<T> implements MutableProvider<T> {
	private T data;

	public void set(T data) {
		this.data = data;
	}

	@Override
	public T get() {
		if(data == null) {
			throw new NullPointerException("Data is null");
		}
		return data;
	}
}
