package com.broodsoft.id;

import java.util.Objects;

public final class TextId implements Id {
	private final String idText;

	private TextId(String idText) {
		this.idText = idText;
	}

	public boolean equals(Object obj) {
		if(this == obj) {
			return true;
		}

		if(!(obj instanceof TextId)) {
			return false;
		}

		final TextId other = (TextId)obj;
		return Objects.equals(idText, other.idText);
	}

	public int hashCode() {
		return Objects.hashCode(idText);
	}

	public static TextId id(String id){ return new TextId(id); }
}
